Campaigns

List campaigns

GET
/api/v1/campaigns

List campaigns.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

page?integer
Range1 <= value
Default1
page_size?integer
Range1 <= value <= 100
Default25
status?string|null
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/campaigns"
{  "data": {    "items": [      {        "actual_cost": 0,        "actual_incremental_revenue": 0,        "agent_run_id": "c3317f32-e28b-4af1-a584-86ac8c788dd8",        "approved_at": "2019-08-24T14:15:22Z",        "audiences": [          {            "definition": {},            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "role": "TEST",            "size": 0          }        ],        "budget": 0,        "business_budget": 0,        "channel": "paypal_app",        "completed_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "created_by_agent": "",        "end_date": "2019-08-24",        "estimated_cost": 0,        "estimated_impact": 0,        "expected_incremental_revenue": 0,        "experiment_id": "916afd89-cac5-4339-9c59-dd068abdfa69",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "incremental_roi": 0,        "is_simulated": true,        "launched_at": "2019-08-24T14:15:22Z",        "measurement_status": "",        "message": "string",        "name": "string",        "objective": "string",        "objective_type": "RETENTION",        "offer_description": "string",        "offer_type": "COMBO",        "offer_value": 0,        "opportunity_id": "5c7fee95-8917-4b3c-8649-bbbc4ef0c4f7",        "paypal_budget": 0,        "paypal_surface": "",        "rejected_reason": "string",        "requires_approval": true,        "start_date": "2019-08-24",        "status": "DRAFT",        "surface": "BUSINESS",        "tags": [          "string"        ],        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "has_next": false,      "has_previous": false,      "page": 1,      "page_size": 25,      "total": 0,      "total_pages": 0    }  },  "meta": {},  "success": true}